> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Embedded Chat Config For A Registered Agent

> Retrieves embedded chat config for a specific agent by its id.



## OpenAPI

````yaml get /v1/orchestrate/agents/{id}/embedded-chat-config
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agents/{id}/embedded-chat-config:
    get:
      tags:
        - Agent embedded chat config
      summary: Get Embedded Chat Config For A Registered Agent
      description: Retrieves embedded chat config for a specific agent by its id.
      operationId: >-
        Get_embedded_chat_config_for_a_registered_agent_v1_orchestrate_agents__id__embedded_chat_config_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedChatConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    EmbeddedChatConfigResponse:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: string
          title: Id
          description: Unique identifier for the agent or no_agent for UI get
        tenant_id:
          type: string
          title: Tenant Id
          description: ID of the tenant that owns this agent
        embedded_chat_config:
          $ref: '#/components/schemas/EmbeddedChatConfigOut'
          description: Embedded chat configuration
      type: object
      required:
        - id
        - tenant_id
        - embedded_chat_config
      title: EmbeddedChatConfigResponse
      description: Response model for embedded chat configuration.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EmbeddedChatConfigOut:
      properties:
        layout:
          anyOf:
            - $ref: '#/components/schemas/LayoutConfig-Output'
            - type: 'null'
          description: Layout configuration
        is_live:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Live
          description: Status of the embedded chat script
        script:
          anyOf:
            - type: string
            - type: 'null'
          title: Script
          description: Generated embedded chat script
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
          description: Last update timestamp
      type: object
      title: EmbeddedChatConfigOut
      description: Spec for embedded chat config out.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LayoutConfig-Output:
      properties:
        primary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Color
          description: Primary color in hex format
        second_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Second Color
          description: Secondary color in hex format
        accent_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent Color
          description: Accent color in hex format
        theme:
          anyOf:
            - type: string
            - type: 'null'
          title: Theme
          description: Theme (light or dark)
        enable_text_streaming:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enable Text Streaming
          description: Whether to enable text streaming
        form:
          anyOf:
            - $ref: '#/components/schemas/FormConfig'
            - type: 'null'
          description: Form configuration
      type: object
      title: LayoutConfig
      description: Layout configuration for embedded chat.
    FormConfig:
      properties:
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type of the form (fullscreen-overlay, float, etc.)
        properties:
          anyOf:
            - $ref: '#/components/schemas/FormProperties'
            - type: 'null'
          description: Properties of the form
      type: object
      title: FormConfig
      description: Configuration for the embedded chat form.
    FormProperties:
      properties:
        container_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Container Id
          description: ID of the container element
        width:
          anyOf:
            - type: string
            - type: 'null'
          title: Width
          description: Width of the chat container
        height:
          anyOf:
            - type: string
            - type: 'null'
          title: Height
          description: Height of the chat container
      type: object
      title: FormProperties
      description: Properties for the embedded chat form.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````